/*
@startuml
title UML-kaavion otsikko

package YlimmnTasonPakkaus
  package IsoPakkaus {
    abstract Ylluokka <|-- Alaluokka

    class Ylluokka {
      - privateField : Int
      # protectedField : Double
      ~ packagePrivateMethod () : String
    }

    class Alaluokka {
      + publicField : String
      + {static} staticField : Double
      - {abstract} abstractMethod() : Int
    }
    Ylluokka <|-- Lapsiluokka

    hide Lapsiluokka fields
    hide Lapsiluokka methods
  }
  
  package PieniPakkaus {
  	class LuokkaA {
  	  - listField : List
  	}
  	hide LuokkaA methods
  	
  	class LuokkaB
  	hide LuokkaB fields
  	hide LuokkaB methods
  	
  	LuokkaA "one" -- "many" LuokkaB : contains
  	LuokkaA --o Alaluokka
 }
}
package UlkoinenPakkaus
UlkoinenPakkaus --|> YlimmnTasonPakkaus : import
note right of Foo : Tm pakkaus voi olla itsenisen kehittjn\noma projekti eik sit tarvitse tarkkaan kuvata.
hide Foo

@enduml

*/
